JUCE: AudioProcessor::BusesLayout Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioProcessor::BusesLayout Struct Reference
juce_audio_processors » processors

Represents the bus layout state of a plug-in. More...

`#include <juce_AudioProcessor.h>`

## Public Member Functions
auto & | getBuses (bool isInput) const
auto & | getBuses (bool isInput)
int | getNumChannels (bool isInput, int busIndex) const noexcept
| Get the number of channels of a particular bus.
AudioChannelSet & | getChannelSet (bool isInput, int busIndex) noexcept
| Get the channel set of a particular bus.
AudioChannelSet | getChannelSet (bool isInput, int busIndex) const noexcept
| Get the channel set of a particular bus.
AudioChannelSet | getMainInputChannelSet () const noexcept
| Get the input channel layout on the main bus.
AudioChannelSet | getMainOutputChannelSet () const noexcept
| Get the output channel layout on the main bus.
int | getMainInputChannels () const noexcept
| Get the number of input channels on the main bus.
int | getMainOutputChannels () const noexcept
| Get the number of output channels on the main bus.
bool | operator== (const BusesLayout &other) const noexcept
bool | operator!= (const BusesLayout &other) const noexcept

## Public Attributes
Array< AudioChannelSet > | inputBuses
| An array containing the list of input buses that this processor supports.
Array< AudioChannelSet > | outputBuses
| An array containing the list of output buses that this processor supports.

## Detailed Description

Represents the bus layout state of a plug-in.

## Member Function Documentation

## ◆ getBuses() [1/2]

auto & AudioProcessor::BusesLayout::getBuses | ( | bool | isInput | ) | const

References getBuses().

Referenced by getBuses().

## ◆ getBuses() [2/2]

auto & AudioProcessor::BusesLayout::getBuses | ( | bool | isInput | ) |

References getBuses().

Referenced by getBuses().

## ◆ getNumChannels()

int AudioProcessor::BusesLayout::getNumChannels | ( | bool | isInput,
|  | int | busIndex ) const
| noexcept

Get the number of channels of a particular bus.

References isPositiveAndBelow().

## ◆ getChannelSet() [1/2]

AudioChannelSet & AudioProcessor::BusesLayout::getChannelSet | ( | bool | isInput,
|  | int | busIndex )
| noexcept

Get the channel set of a particular bus.

## ◆ getChannelSet() [2/2]

AudioChannelSet AudioProcessor::BusesLayout::getChannelSet | ( | bool | isInput,
|  | int | busIndex ) const
| noexcept

Get the channel set of a particular bus.

## ◆ getMainInputChannelSet()

AudioChannelSet AudioProcessor::BusesLayout::getMainInputChannelSet | ( |  | ) | const
| noexcept

Get the input channel layout on the main bus.

## ◆ getMainOutputChannelSet()

AudioChannelSet AudioProcessor::BusesLayout::getMainOutputChannelSet | ( |  | ) | const
| noexcept

Get the output channel layout on the main bus.

## ◆ getMainInputChannels()

int AudioProcessor::BusesLayout::getMainInputChannels | ( |  | ) | const
| noexcept

Get the number of input channels on the main bus.

## ◆ getMainOutputChannels()

int AudioProcessor::BusesLayout::getMainOutputChannels | ( |  | ) | const
| noexcept

Get the number of output channels on the main bus.

## ◆ operator==()

bool AudioProcessor::BusesLayout::operator== | ( | const BusesLayout & | other | ) | const
| noexcept

## ◆ operator!=()

bool AudioProcessor::BusesLayout::operator!= | ( | const BusesLayout & | other | ) | const
| noexcept

## Member Data Documentation

## ◆ inputBuses

Array<AudioChannelSet> AudioProcessor::BusesLayout::inputBuses

An array containing the list of input buses that this processor supports.

## ◆ outputBuses

Array<AudioChannelSet> AudioProcessor::BusesLayout::outputBuses

An array containing the list of output buses that this processor supports.

The documentation for this struct was generated from the following file:

- juce_AudioProcessor.h